let
  nixpkgs = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-21.11";
    rev = "e34c5379866833f41e2a36f309912fa675d687c7";
  };
in

{
  inherit nixpkgs;
  "channels-nixos-stable" = nixpkgs;
  "channels-nixos-21.05" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-21.05";
    rev = "b86b6bc5e753919ab4d7c902210234f324d0efa4";
  };
  "channels-nixos-20.03" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-20.03";
    rev = "1db42b7fe3878f3f5f7a4f2dc210772fd080e205";
  };
  "channels-nixos-19.09" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-19.09";
    rev = "75f4ba05c63be3f147bcc2f7bd4ba1f029cedcb1";
  };
  "channels-nixos-unstable" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-unstable";
    rev = "c71f061c68ba8ce53471b767d5049cbd0f3d8490";
  };
  "nixpkgs-master" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "master";
    rev = "75ef7d62b0ca2253d72f4dccefe71660c30ba6b4";
  };
  "home-manager-module" = {
    url = "https://github.com/nix-community/home-manager";
    ref = "release-21.11";
    rev = "6ce1d64073f48b9bc9425218803b1b607454c1e7";
  };
}
